Bug 226605 - graphics/glfw: add WAYLAND option
Summary: graphics/glfw: add WAYLAND option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on: 232323
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-14 15:28 UTC by Greg V
Modified: 2018-10-16 14:13 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (koalative)


Attachments
glfw-wayland.patch (1.04 KB, patch)
2018-03-14 15:28 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-03-14 15:28:49 UTC
Created attachment 191496 [details]
glfw-wayland.patch

GLFW supports Wayland, this patch adds an option to choose the Wayland backend.

Unfortunately, unlike most toolkits, backend choice is not dynamic in GLFW. So Linux distros ship separate packages, e.g.:

https://www.archlinux.org/packages/community/x86_64/glfw-wayland/
https://www.archlinux.org/packages/community/x86_64/glfw-x11/

and users can install one.

So just adding a non-default option here. Eventually should be a flavor I guess.
Comment 1 commit-hook freebsd_committer 2018-03-28 18:48:44 UTC
A commit references this bug:

Author: tobik
Date: Wed Mar 28 18:47:52 UTC 2018
New revision: 465837
URL: https://svnweb.freebsd.org/changeset/ports/465837

Log:
  graphics/glfw: Add WAYLAND option

  - Reset maintainer after the third consecutive timeout

  PR:		226605
  Submitted by:	greg@unrelenting.technology (based on)
  Approved by:	koalative@gmail.com (maintainer timeout, 2 weeks)

Changes:
  head/graphics/glfw/Makefile
  head/graphics/glfw/files/patch-src_wl__init.c
Comment 2 Tobias Kortkamp freebsd_committer 2018-03-28 18:59:47 UTC
(In reply to Greg V from comment #0)
>  Unfortunately, unlike most toolkits, backend choice is not dynamic in GLFW. So Linux distros ship separate packages, e.g.:

This sounds like something upstream should fix rather than letting all
downstream packagers deal with it in their own way.  Anyway let's
worry about that later and land it now rather than letting this bug
sit for many weeks or months...

Committed with many changes since the initial patch was missing a lot
of dependencies and didn't build in Poudriere as is.
Comment 3 Greg V 2018-03-28 20:31:56 UTC
(In reply to Tobias Kortkamp from comment #2)
Yeah, of course they're planning to implement multi backend, they're currently working on loading the libraries dynamically which is a prerequisite.